WuKongIM Docs

Synchronize up to 200 Channels

POST/channel/messagesyncbatch

Validates all memberships before one aligned batch read; item failures are embedded in the HTTP-200 response.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

{  "items": [    {      "channel_id": "string",      "channel_type": 0,      "start_message_seq": 0,      "end_message_seq": 0,      "more": 0,      "messages": [        {          "header": {            "no_persist": 0,            "red_dot": 0,            "sync_once": 0          },          "setting": 0,          "message_id": 0,          "message_idstr": "string",          "client_msg_no": "string",          "end": 0,          "end_reason": 0,          "error": "string",          "stream_data": "string",          "event_meta": {            "has_events": true,            "completed": true,            "event_version": 0,            "last_msg_event_seq": 0,            "event_count": 0,            "open_event_count": 0,            "events": [              {                "event_key": "string",                "status": "string",                "last_msg_event_seq": 0,                "snapshot": null,                "end_reason": 0,                "error": "string"              }            ]          },          "event_sync_hint": {            "client_msg_no": "string",            "from_msg_event_seq": 0          },          "message_seq": 0,          "from_uid": "string",          "channel_id": "string",          "channel_type": 0,          "topic": "string",          "expire": 0,          "timestamp": 0,          "payload": "string"        }      ],      "error": "string"    }  ]}